/*
 * hexdump.c - This file is part of ncidd.
 *
 * Copyright (c) 2017-2018
 * by John L. Chmielewski <jlc@users.sourceforge.net>
 *
 * ncidd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ncidd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ncidd.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "hexdump.h"

/*
 * hexdump from http://stackoverflow.com/a/29865
 * by user 'epatel' dated Aug 27 2008
 */
void hexdump(const void *ptr, int buflen) {
  const unsigned char *buf = (const unsigned char*)ptr;
  char msgbuf[BUFSIZ];
  char tmpbuf[BUFSIZ];
  int i, j;
  for (i=0; i<buflen; i+=16) {
    sprintf(msgbuf,"%06x: ", i);
    for (j=0; j<16; j++)
      if (i+j < buflen) {
        sprintf(tmpbuf,"%02x ", buf[i+j]);
        strcat(msgbuf,tmpbuf);
      } else
        strcat(msgbuf,"   ");
    strcat(msgbuf," ");
    for (j=0; j<16; j++)
      if (i+j < buflen) {
        sprintf(tmpbuf,"%c", isprint(buf[i+j]) ? buf[i+j] : '.');
        strcat(msgbuf,tmpbuf);
      }
    strcat(msgbuf,"\n");
    logMsg(HEXLEVEL,msgbuf);
  }
}
