/*
 * logmsg.c - This file is part of ncidd.
 *
 * Copyright (c) 2017-2018
 * by John L. Chmielewski <jlc@users.sourceforge.net>
 *
 * ncidd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ncidd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ncidd.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "logmsg.h"

/*
 * log messages and print messages in debug mode
 */
void logMsg(int level, const char * fmt, ...)
{
    if (verbose >= level)
    {
        char logmessage[10240];
        va_list ap;
        va_start (ap, fmt);

        /* using logmessage because vsprintf() cannot be called twice */
        vsnprintf (logmessage, sizeof(logmessage), fmt, ap);
        logmessage[sizeof(logmessage) - 1] = '\0';

        /* write to stdout in debug mode */
        if (debug) fputs(logmessage, stdout);

        /* write to logfile */
        if (logptr)
        {
            fputs(logmessage, logptr);
            fflush(logptr);
        }

        va_end (ap);
    }
}
