/*
 * logmsg.h - This file is part of ncidd.
 *
 * Copyright (c) 2017-2023
 * by John L. Chmielewski <jlc@users.sourceforge.net>
 *
 * ncidd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ncidd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ncidd.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _LOGMSG_H
#define _LOGMSG_H

#include <stdio.h>
#include <stdarg.h>

#define MAXLEVEL     9
#define HEXLEVEL     5

enum {
    LEVELE = -1,
    LEVELR = 0,
    LEVEL1 = 1,
    LEVEL2,
    LEVEL3,
    LEVEL4,
    LEVEL5,
    LEVEL6,
    LEVEL7,
    LEVEL8,
    LEVEL9
};
/*
    also see doc/Verbose
    LEVELE - usually fatal errors
    LEVELR - responses to queries, like USR1
    LEVEL1 - progress messages that always appear
    LEVEL2
    LEVEL3
    LEVEL4 - show hex dump for messages
    LEVEL5
    LEVEL6
    LEVEL7
    LEVEL8 - command line only with exit (used by ncidd)
    LEVEL9 - command line only
*/
void logMsg(int level, const char * fmt, ...);

extern int debug, verbose;
extern FILE *logptr;

#endif /* _LOGMSG_H */
