/*
 * safesend.h - This file is part of ncidd.
 *
 * Copyright (c) 2005-2018
 * by John L. Chmielewski <jlc@users.sourceforge.net>
 *
 * ncidd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ncidd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ncidd.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _SAFESEND_H
#define _SAFESEND_H

#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include "ncid_poll.h"
#include "logmsg.h"


/* inside safesend */
void  initQueuedMsg(int maxconnect);
void  safeSend(int pos, const char * msg );
void  disconnectClient(int pos);
void  QueuedMsg_begin_connect(int pos);
void  handle_incoming_message(int pos, char * um, int length);
void  send_blocked(int pos);
/* callbacks */
void  handle_accumulated_message(int pos, const char * buf);
void  finishDisconnect(int pos);

#endif /* safesend.h */
