/*
 * strdate.h - This file is part of ncidd.
 *
 * Copyright (c) 2017-2018
 * by John L. Chmielewski <jlc@users.sourceforge.net>
 *
 * ncidd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ncidd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ncidd.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _STRDATE_H
#define _STRDATE_H

#include <stdio.h>
#include <string.h>
#include <time.h>
#include <sys/time.h>
#include "logmsg.h"

enum {
    WITHSEP = 40, /* MM/DD/YYYY HH:MM:SS */
    NOSEP,        /* MMDDYYYY HHMM */
    ONLYTIME,     /* HH:MM:SS */
    NOYEAR,       /* MMDDHHMM */
    ONLYYEAR,     /* YYYY */
    LOGFILETIME,  /* HH:MM:SS.ssss */
};

char *strdate(int format);

#endif /* strdate.h */
