/*
 * nciddPN.h - This file is part of ncidd.
 *
 * Copyright (c) 2005-2022
 * by John L. Chmielewski <jlc@users.sourceforge.net>
 *
 * ncidd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * ncidd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ncidd.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LIB_PN_H
#define LIB_PN_H

#ifdef __cplusplus
    extern "C" {
#endif

    extern const char * country;
    extern const char * language;
    extern int nanp_format;

   int findRegionCode(const char * regioncode_c);
   int isNANPACountry(const char * regioncode_c);
   char * GetCompleteInfoFromNumber(const char * number);
   void format_number(char * Formattednmbr_c, const char * cidnmbr_c);
   void normalizeToDialableNumberFromFixedLine(char * nmbr, int size);

#ifdef __cplusplus
    }
#endif

#define DEFAULT_US_FORMAT 2

#endif
